# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(FileHandle.pm) perl(Module/Build.pm) perl(Test/Base.pm) perl(Test/Base/Filter.pm) perl(Test/More.pm) perl(Text/Textile.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Kwiki-Textile
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: A Textile formatter for Kwiki.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GU/GUGOD/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module provides a markdown formatter class for Kwiki.
For more information about markdown syntax, please see
its official website: http://www.textism.com/tools/textile/

To install this module, please edit `config.yaml' and add this line
to the bottom:

    formatter_class: Kwiki::Textile

Please be aware of that this plugin is not compatible with lots of plugins
that provide extra wafl block or wafl phrases, as long as those plugins
hooking on Kwiki::Formatter::* sub-classes.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/K*

%changelog
* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

